Package org.eclipse.ecf.provider.filetransfer.httpclient4

## Interface HttpClientOptions

    public interface HttpClientOptions

Since:
  4.0

### Field Summary

Fields
`static int` `BROWSE_DEFAULT_CONNECTION_TIMEOUT`
`static String` `FORCE_NTLM_PROP`
`static int` `NTLM_PROXY_RESPONSE_CODE`
`static int` `RETRIEVE_DEFAULT_CONNECTION_TIMEOUT`
`static int` `RETRIEVE_DEFAULT_READ_TIMEOUT`

### Field Detail

#### NTLM_PROXY_RESPONSE_CODE

    static final int NTLM_PROXY_RESPONSE_CODE

See Also:
  Constant Field Values

#### FORCE_NTLM_PROP

    static final String FORCE_NTLM_PROP

See Also:
  Constant Field Values

#### RETRIEVE_DEFAULT_CONNECTION_TIMEOUT

    static final int RETRIEVE_DEFAULT_CONNECTION_TIMEOUT

Since:
  4.0

#### RETRIEVE_DEFAULT_READ_TIMEOUT

    static final int RETRIEVE_DEFAULT_READ_TIMEOUT

Since:
  4.0

#### BROWSE_DEFAULT_CONNECTION_TIMEOUT

    static final int BROWSE_DEFAULT_CONNECTION_TIMEOUT

Since:
  4.0